function Aloc = STIMA_LaplPolar_b_ref(i, j, n)

    % Some needed variables
    dr = 1/n; dp = 2*pi*dr;
    rr = (i+1)/n; rl = i/n;
    rm = 0.5 * (rr + rl);
    logr = log(rr/rl);

    % Sign pattern for the r-integral
    Rlocsign = [1, -1, -1, 1;...
                -1, 1, 1, -1;...
                -1, 1, 1, -1;...
                1, -1, -1, 1] / dr^2;

    % The rest of the r-integral (always defined)
    A = repmat([rr, rl, rl, rr], 4, 1);
    B = repmat([rr; rl; rl; rr], 1, 4);
    Rlocint = rm*dr - (A+B)*dr;

    % Could be infinite
    inds = find(A.*B);
    repl = A.*B*logr;
    Rlocint(inds) = Rlocint(inds) + repl(inds);

    % Assemble the r-integral
    Rloc = Rlocsign .* Rlocint;

    % Phi-integral
    Ploc = [1, 1, -1, -1;...
            1, 1, -1, -1;...
            -1, -1, 1, 1;...
            -1, -1, 1, 1] / dp;

    Aloc = Rloc .* Ploc;

    if i == 0
        Aloc = [zeros(1,3); zeros(2,1), Aloc(2:3,2:3)];
    end

end
